# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-03-11 18:20
from __future__ import unicode_literals

from django.contrib.auth.hashers import make_password
from django.db import migrations


persons_data = [
    {
        'surname': 'Супер',
        'first_name': 'Пользователь',
        'patronymic': 'Системы',
        'date_of_birth': '1990-01-01',
        'phone': '9171233212',
        'snils': '000-000-111 00',
        'user': {
            'username': 'admin',
            'email': 'admin@admin.ru',
            'password': 'admin',
            'is_superuser': True,
            'is_staff': True
        }
    },
    {
        'surname': 'Не',
        'first_name': 'Активный',
        'patronymic': 'Пользователь',
        'date_of_birth': '1990-01-01',
        'phone': '9273218489',
        'snils': '111-223-555 88',
        'user': {
            'username': 'inactive',
            'email': 'inactive@gmail.com',
            'password': 'inactive',
            'is_active': False
        }
    }
]


def create_test_users(apps, schema):

    user_model = apps.get_model('auth.User')
    person_model = apps.get_model('person.Person')

    for person_info in persons_data:
        user_info = person_info.pop('user')
        password = user_info.pop('password')

        user = user_model(**user_info)
        user.password = make_password(password)
        user.save()

        person = person_model(user=user, **person_info)
        person.save()


class Migration(migrations.Migration):

    dependencies = [
        ('person', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(create_test_users)
    ]
